Subject: Re: bug#72343: [PATCH] Fix eglot-server-programs for TeX modes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jul 2024 14:26:54 +0300

> From: Augusto Stoffel <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 29 Jul 2024 08:15:17 +0200
> 
> On Sun, 28 Jul 2024 at 22:31, João Távora wrote:
> 
> > Also, is it an additional goal to prefer Augusto's 'digestif' sever here?  
> 
> I haven't changed the order of preference in the patch.
> 
> > Unless I'm misreading it, this change seems to have the side 
> > effect  that context-mode, texinfo-mode will no longer be served 
> > by 'texlab' (by default) if the user has that installed.  Probably 
> > plain-tex-mode could also be served by 'texlab'.
> 
> To the best of my knowledge (based on the documentation only; I haven't
> tried it), texlab supports only latex and bibtex.  I'm not aware of
> other servers that support plain TeX or Texinfo.

Thanks, but what about the other part of João's questions, regarding
:language-id?